<?php
/**
 * Plantilla para mostrar los resultados de búsqueda.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Bigseo_Theme
 */

get_header(); ?>
<main id="content" class="site-main">

	<?php
	if ( have_posts() ) : ?>

	<?php get_template_part( 'template-parts/header/header', 'jumbotron' ); ?>

	<div class="entry-content container">

		<?php
		while ( have_posts() ) : the_post();

		get_template_part( 'template-parts/search/content', 'search' );

		endwhile;

		the_posts_navigation(); ?>

	</div>

	<?php 

	else :

		get_template_part( 'template-parts/none/content', 'none' );

	endif; ?>

</main>

<?php get_footer();