<header class="entry-header jumbotron">
	<div class="container">

		<?php if(is_singular()) : ?>

			<?php the_title( '<h1>', '</h1>' ); ?>
			<?php bigseotheme_subtitle(); ?>

		<?php elseif(is_archive()) : ?>

			<h1><?php single_term_title(); ?></h1>

		<?php elseif(is_front_page()) : ?>
			
			<h1><?php bloginfo('name'); ?></h1>
			<p><?php bloginfo('description'); ?></p>

		<?php elseif(is_home()) : ?>
			
			<?php single_post_title( '<h1>', '</h1>' ); ?>
			<?php bigseotheme_subtitle(); ?>

		<?php elseif(is_search()) : ?>

			<h1><?php printf( esc_html__( 'Search Results for: %s', 'bigseotheme' ), get_search_query() ); ?></h1>

		<?php elseif(is_404()) : ?>

			<h1><?php esc_html_e( '404: Page Not Found', 'bigseotheme' ); ?></h1>

		<?php endif; ?>
	</div>
</header>