<?php
/**
 * Parte de plantilla para mostrar listados.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */
?>

<article id="post-<?php the_ID(); ?>" class="entry-item">
	<header class="entry-header">

		

		<div class="entry-date">
			<p><?php echo get_the_date(); ?></p>
		</div>


		<a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark">
			<?php 
			the_post_thumbnail('thumbnail-center'); 
			the_title( '<h3>', '</h3>' ); 
			?>
		</a>
	</header><!-- .entry-header -->

	<div class="entry-meta">

		<div class="entry-category">
			<p><?php echo bigseotheme_the_category(); ?></p>
		</div>

		<div class="entry-excerpt">
			<?php the_excerpt(); ?>
		</div><!-- .entry-content -->

	</div>
</article>

