<?php
/**
 * Parte de plantilla para mostrar en el caso que no encuentre el contenido.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

?>

<div class="entry-content">
	
	<h1><?php esc_html_e( 'Nothing Found', 'bigseotheme' ); ?></h1>
	

	<?php
	if ( current_user_can( 'publish_posts' ) ) : ?>

	<p><?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'bigseotheme' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

<?php elseif ( is_search() ) : ?>

	<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'bigseotheme' ); ?></p>
	<?php
	get_search_form();

	else : ?>

	<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'bigseotheme' ); ?></p>
	<?php
	get_search_form();

	endif; ?>
	
</div>
