<?php
/**
 * Parte de plantilla para mostrar el contenido de la página.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

?>
<header class="entry-header jumbotron">

	<?php get_template_part( 'template-parts/header/header', 'jumbotron' ); ?>
	
</header><!-- .entry-header -->
<div class="entry-content">
	<?php
	do_action('bigseotheme_before_single_content');
	the_content();
	wp_link_pages( array('before' => '<div class="page-links">' . esc_html__( 'Pages:', 'bigseotheme' ), 'after'  => '</div>') ); 
	do_action('bigseotheme_after_single_content');
	?>
</div>
<footer class="entry-footer">
	<?php if ( comments_open() || get_comments_number() ) { comments_template(); } ?>
</footer>

