<?php
/**
 * Parte de plantilla para mostrar el contenido de la página.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

?>
<main id="content" <?php post_class('site-main'); ?>>
	
	<?php get_template_part( 'template-parts/header/header', 'group' ); ?>

	<?php bigseotheme_yoast_breadcrumbs(); ?>

	<div class="entry-content container">
		<?php
		the_content();
		wp_link_pages( array('before' => '<div class="page-links">' . esc_html__( 'Pages:', 'bigseotheme' ), 'after'  => '</div>') ); 
		?>
	</div>
	<footer class="entry-footer container">
		<?php bigseotheme_posts_related(); ?>
		<?php if ( comments_open() || get_comments_number() ) { comments_template(); } ?>
	</footer>
</main>
