<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

get_header(); ?>

<main id="content" class="site-main">

	<?php
	if ( have_posts() ) : ?>

	<?php get_template_part( 'template-parts/header/header', 'jumbotron' ); ?>
	
	<div class="container">
		<div class="grid">
			<?php
			while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/loops/loop', 'grid' );

			endwhile;
			?>
		</div>
		<?php bigseotheme_pagination(); ?>
	
		<?php if(! is_paged()) the_archive_description( '<div class="archive-description">', '</div>' ); ?>
		
	</div>

	<?php else : get_template_part( 'template-parts/none/content', 'none' ); endif; ?>

</main><!-- #main -->

<?php get_footer();