<?php
/* 
 *	Global Hooks
 *	------------
 * 	
 *  bigseotheme_after_header
 *  bigseotheme_before_header
 *  bigseotheme_after_footer
 *  bigseotheme_before_footer
 *  bigseotheme_after_sidebar
 *
 *
 * 
 *	Single Hooks
 *	------------
 * 	bigseotheme_before_single_title
 * 	bigseotheme_after_single_title
 * 	bigseotheme_before_single_content
 * 	bigseotheme_after_single_content
 *
 *
 * 	Page Hooks
 * 	----------
 * 	bigseotheme_before_page_title
 * 	bigseotheme_after_page_title
 * 	bigseotheme_before_page_content
 * 	bigseotheme_after_page_content
 *
 *	Home Page Hooks
 *	---------------
 * 	bigseotheme_before_page_home_title
 * 	bigseotheme_after_page_home_title
 * 	bigseotheme_before_page_home_content
 * 	bigseotheme_after_page_home_content
 * 	
 * 
 */




add_action( 'bigseotheme_after_single_title', 'bigseotheme_excerpt', 10);
add_action( 'bigseotheme_after_page_title', 'bigseotheme_excerpt', 10);
add_action( 'bigseotheme_after_single_content', 'bigseotheme_social_sharing_buttons', 10);


/*
 *	ADS
 * 	--------
 *
 * 	bigseotheme_ads_header
 * 	bigseotheme_ads_after_title
 * 	bigseotheme_ads_after_content
 * 	bigseotheme_ads_top_sidebar
 * 	bigseotheme_ads_aside
 * 	bigseotheme_ads_footer
 * 	
 */

add_action( 'bigseotheme_before_header', 'bigseotheme_ads_header', 10);
add_action( 'bigseotheme_after_page_title', 'bigseotheme_ads_after_title', 10);
add_action( 'bigseotheme_after_single_title', 'bigseotheme_ads_after_title', 10);
add_action( 'bigseotheme_after_page_content', 'bigseotheme_ads_after_content', 10);
add_action( 'bigseotheme_after_single_content', 'bigseotheme_ads_after_content', 10);
add_action( 'bigseotheme_after_sidebar', 'bigseotheme_ads_top_sidebar', 10);
add_action( 'bigseotheme_before_footer', 'bigseotheme_ads_footer', 10);