<?php
/**
 * Plantilla principal utilizada para mostrar las últimas entradas en la página principal
 *
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

get_header(); ?>

<main id="content" class="site-main">

	<?php get_template_part( 'template-parts/header/header', 'jumbotron' ); ?>
	
	<div class="container">
		<div class="grid">
			<?php if ( have_posts() ) : ?>

				<?php while ( have_posts() ) : the_post(); 

				get_template_part( 'template-parts/loops/loop', 'grid' );

				endwhile; ?>

				<?php bigseotheme_pagination(); ?>

			<?php else :

			get_template_part( 'template-parts/none/content', 'none' );

			endif; ?>
		</div>
	</div>
</main><!-- #main -->

<?php get_footer();