<?php
/**
 * Parte de plantilla para el menú de navegación.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

?>
<header id="site-nav" class="navbar navbar-fixed-top">
	<div class="container-navbar">
		<div class="site-brand">
			<?php
			if(has_custom_logo()){ 
				bigseotheme_the_custom_logo(); 
				
			}else{ ?>
			<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>

			<?php } ?>	
		</div>
		<?php if ( has_nav_menu( 'primary' ) ) { ?>
		<nav class="site-navigation">
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'fallback_cb' => false, 'items_wrap' => '<ul>%3$s</ul>'  ) ); ?>
		</nav>
		<a href="#" class="ssm-toggle-nav btn-navbar" title="open nav"><span class="fa fa-navicon"></span></a>
		<?php } ?>
	</div>
</header>