<?php
/**
 * Parte de plantilla para mostrar el contenido de la página.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

?>
<main id="content" <?php post_class('site-main'); ?>>
	<header class="entry-header jumbotron">
		<div class="container">
			<div class="container-right">
				<?php the_title( '<h1>', '</h1>' ); ?>
				<?php bigseotheme_subtitle(); ?>

				<?php if(bigseotheme_get_option_page('button_header_text')) : ?>

					<a href="<?php echo esc_url( home_url() ); ?>/#" class="btn btn-primary btn-lg"><?php echo bigseotheme_get_option_page('button_header_text'); ?></a>

				<?php endif ?>

			</div>
		</div>
	</header>
	<div class="entry-content container-fluid">
		<div class="container">
			<?php the_content(); ?>
			<?php bigseotheme_lasts_posts(); ?>
		</div>
		<?php wp_link_pages( array('next_or_number'   => 'next') ); ?>
	</div>

	<?php //get_template_part('template-parts/asides/sidebar','pages'); ?>

	<?php if ( comments_open() || get_comments_number() ) { ?>
	<footer class="entry-footer container">
		<?php comments_template(); ?>
	</footer>
	<?php } ?>
</main>